<template>
	<view class="detail-container">
		<view class="date-picker" style="margin: 2vh 0;">
			<uni-datetime-picker v-model="dateRange" type="daterange" @change="getDateRange" rangeSeparator="至" />
		</view>

		<uni-table ref="table" border stripe emptyText="暂无更多数据" @selection-change="selectionChange">
			<uni-tr>
				<uni-th width="80" align="center">作业单号</uni-th>
				<uni-th width="80" align="center">产品编码</uni-th>
				<uni-th width="80" align="center">报工数量</uni-th>
				<uni-th width="80" align="center">不良数量</uni-th>
				<uni-th width="80" align="center">计件单价</uni-th>
				<uni-th width="80" align="center">合计</uni-th>
			</uni-tr>
			<uni-tr v-for="(item, index) in originData" :key="index">
				<uni-td align="center">{{ item.repNum }}</uni-td>
				<uni-td align="center">{{ item.repNum }}</uni-td>
				<uni-td align="center">{{ item.failedNum }}</uni-td>
				<uni-td align="center">{{ item.salary }}</uni-td>
			</uni-tr>
		</uni-table>
	</view>
</template>

<script>
	import {
		listReport
	} from '@/api/mes/pwoDraw.js'
	export default {
		data() {
			return {
				selectedDate: new Date().toISOString().slice(0, 10), // 默认当天
				originData: null, // 原始数据
				tableData: null, // 表格数据
				dateRange: [],
				jobReport: []
			}
		},
		onLoad() {},
		methods: {
			// 初始化接收数据
			initData() {

			},
			// 获取时间范围
			getDateRange() {
				console.log(this.dateRange)
			},
			getJobInfo() {
				listReport().then(res => {

				})
				console.log("6")
			}
		}
	}
</script>

<style scoped lang="scss">
</style>